[151745] users/devans/GNOME-3/stable/dports/gnome/goffice

devans at macports.org devans at macports.org
Sun Aug 21 11:09:44 PDT 2016


Revision: 151745
          https://trac.macports.org/changeset/151745
Author:   devans at macports.org
Date:     2016-08-21 11:09:44 -0700 (Sun, 21 Aug 2016)
Log Message:
-----------
GNOME-3/stable: goffice, update to version 0.10.32, autogen.sh, no longer requires gnome-common (but goffice08 still does).

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile
    users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh
    users/devans/GNOME-3/stable/dports/gnome/goffice/files/patch-configure.ac.diff

Modified: users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile	2016-08-21 17:57:15 UTC (rev 151744)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/Portfile	2016-08-21 18:09:44 UTC (rev 151745)
@@ -18,23 +18,22 @@
 homepage                http://www.gnumeric.org/
 use_xz                  yes
 
-depends_build           port:pkgconfig \
+if {${name} eq ${subport}} {
+    epoch               1
+    version             0.10.32
+
+    license             {GPL-2 GPL-3}
+
+    checksums           rmd160  4887c569629f61d1dae72a2aacc71560bb4b4fd0 \
+                        sha256  02b37da9f54fb92725b973875d1d2da49b54f6486eb03648fd1ea58e4a297ac3
+
+    depends_build       port:pkgconfig \
                         port:intltool \
-                        port:gnome-common \
                         port:gtk-doc \
                         port:autoconf \
                         port:automake \
                         port:libtool
 
-if {${name} eq ${subport}} {
-    epoch               1
-    version             0.10.31
-
-    license             {GPL-2 GPL-3}
-
-    checksums           rmd160  40120c2f49c8098ef71cecfde7c601d66bacd014 \
-                        sha256  9d1fc2dcc131742348ed6e1597e2fab143cbf73e7067c5c05a3f3565266ed5a5
-
     depends_lib         port:gtk3 \
                         port:libgsf \
                         port:librsvg \
@@ -57,7 +56,6 @@
                         patch_quartz-goffice-goffice.c.diff
     
     configure.args-append \
-                        --enable-compile-warnings=minimum \
                         --disable-silent-rules
 
     variant quartz {}
@@ -87,6 +85,14 @@
 
     license             GPL-2
 
+    depends_build       port:pkgconfig \
+                        port:intltool \
+                        port:gnome-common \
+                        port:gtk-doc \
+                        port:autoconf \
+                        port:automake \
+                        port:libtool
+
     depends_lib         port:gtk2 \
                         port:gconf \
                         port:libgsf \

Modified: users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh	2016-08-21 17:57:15 UTC (rev 151744)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/files/autogen.sh	2016-08-21 18:09:44 UTC (rev 151745)
@@ -1,38 +1,13 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-PKG_NAME="goffice"
+PKG_NAME="Goffice"
 
-REQUIRED_AUTOMAKE_VERSION=1.9.0
-REQUIRED_LIBTOOL_VERSION=1.4.3
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-# We need intltool >= 0.27.2 to extract the UTF-8 chars from source code:
-REQUIRED_INTLTOOL_VERSION=0.27.2
+olddir=$(pwd)
 
-# We require Automake 1.7.2, which requires Autoconf 2.54.
-# (It needs _AC_AM_CONFIG_HEADER_HOOK, for example.)
-REQUIRED_AUTOCONF_VERSION=2.54
-
-# This enforces the version for the machine where the tarball is built
-# from CVS.  This requirement might be stronger than the one in configure.in.
-#
-# An example: we might require pkg-config binary >= 0.18, because it
-# implements Libs.private.  But we might require macro PKG_PROG_PKG_CONFIG
-# from pkg-config >= 0.29 because this macro is able to detect old versions
-# of pkg-config conrrectly and reports a sane error message.
-#
-# In other words, the distribution tarball can be created only with 0.29 or
-# later, but it can be then compiled on any host with pkg-config >= 0.18.
-#
-# We would then use REQUIRED_PKG_CONFIG_VERSION=0.29 here and
-# PKG_PROG_PKG_CONFIG([0.18]) in configure.in.
-
-USE_GNOME2_MACROS=1
-USE_COMMON_DOC_BUILD=yes
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
 (test -f $srcdir/configure.ac	\
   && test -d $srcdir/goffice	\
   && test -f $srcdir/goffice/goffice.h) || {
@@ -41,32 +16,20 @@
     exit 1
 }
 
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
-  IFS="$ifs_save"
-  test -z "$dir" && dir=.
-  if test -f "$dir/gnome-autogen.sh" ; then
-    gnome_autogen="$dir/gnome-autogen.sh"
-    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
-    break
-  fi
-done
+cd $srcdir
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+cd $olddir
 
-if test -z "$gnome_autogen" ; then
-  echo "You need to install the gnome-common module and make" 1>&2
-  echo "sure the gnome-autogen.sh script is in your \$PATH." 1>&2
-  exit 1
-fi
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-GNOME_DATADIR="$gnome_datadir"
-
-. $gnome_autogen
-
-if grep 'which gtkdoc-rebase >/dev/null &&' $srcdir/gtk-doc.make >/dev/null 2>&1 &&	\
-   grep '[^-]installfiles=`echo $(srcdir)/html/*`;' $srcdir/gtk-doc.make >/dev/null 2>&1; then
-    echo '----------------------------------------------------' 1>&2
-    echo "Your gtk-doc has a dependency problem.  Upgrade." 1>&2
-    echo "See http://bugzilla.gnome.org/show_bug.cgi?id=506506" 1>&2
-    echo '----------------------------------------------------' 1>&2
-    exit 1
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
 fi

Modified: users/devans/GNOME-3/stable/dports/gnome/goffice/files/patch-configure.ac.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/goffice/files/patch-configure.ac.diff	2016-08-21 17:57:15 UTC (rev 151744)
+++ users/devans/GNOME-3/stable/dports/gnome/goffice/files/patch-configure.ac.diff	2016-08-21 18:09:44 UTC (rev 151745)
@@ -1,6 +1,6 @@
 --- configure.ac.orig	2015-05-17 16:32:52.000000000 -0700
 +++ configure.ac	2015-07-30 17:02:42.000000000 -0700
-@@ -293,14 +293,14 @@
+@@ -295,14 +295,14 @@
  if test "x$platform_osx" = xyes; then
    AC_DEFINE([OS_OSX],[1],[Defined if system is Mac OS X])
    dnl check for native osx
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160821/23d36605/attachment.html>


More information about the macports-changes mailing list